Ruby and OpenSSL: no such file to load -- openssl (RuntimeError)

Redd Vinylene reddvinylene@gmail.com
Sat Oct 18 14:19:00 GMT 2008


On Sat, Oct 18, 2008 at 3:28 PM, Redd Vinylene <reddvinylene@gmail.com> wrote:
> I'm getting this error on Cygwin when trying to run this tiny little Rails app:
>
> ./script/../config/../vendor/rails/railties/lib/initializer.rb:253:in
> `require_frameworks': no such file to load -- openssl (RuntimeError)
>
> I have both the openssl and openssl-devel packages installed. There's
> even an openssl.so in /lib/ruby/1.8/i386-cygwin. I don't know about
> libopenssl-ruby though, it only seems to exist for Debian and Ubuntu.
>
> Anybody got a clue? Have a nice weekend y'all.

I just tried compiling/installing openssl-0.9.8i-1 manually, but that
didn't work either.

-- 
http://www.home.no/reddvinylene

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/



More information about the Cygwin mailing list